export declare type ProgressStep = "open" | "open-updated" | "download" | "download-updated";
export declare type ProgressDialogSink = {
    onCancel: (error: string) => void;
    onComplete: () => void;
    onProgress: (value: number, message: string) => void;
    onStep: (stepName: ProgressStep, params?: {
        disableCancel?: boolean;
    }) => void;
    cancelled?: boolean;
    progressMessage?: string;
};
