/// <reference path="../vendor/react/react.d.ts" />
//@ts-ignore
import { Component } from 'react';
import GcPdfViewer from '..';
export declare type ConfirmButton = "Yes" | "No" | "Cancel" | "Confirm";
export declare type ConfirmationDialogState = {
    showModal: boolean;
    title?: string;
    buttons?: ConfirmButton[];
};
export declare type ConfirmationDialogProps = {
    title?: string;
    viewer: GcPdfViewer;
};
export declare class ConfirmationDialog extends Component<ConfirmationDialogProps, ConfirmationDialogState> {
    private _confirmationPromise?;
    private _resolve?;
    private _confirmationText;
    private _level?;
    state: ConfirmationDialogState;
    private _resolveConfirmation;
    confirm(confirmationText?: string | JSX.Element, level?: "info" | "warning" | "error", title?: string, buttons?: ConfirmButton[]): Promise<boolean | ConfirmButton>;
    render(): JSX.Element;
}
