import { AnnotationTypeCode } from '../Annotations/AnnotationTypes';
export declare const propertyEditorIcons: {
    iconMinus: JSX.Element;
    iconPlus: JSX.Element;
};
export declare const pdfSvgIcons: {
    undo2: JSX.Element;
    'font-bold': JSX.Element;
    'font-italic': JSX.Element;
    'checkbox-checked': JSX.Element;
    'checkbox-unchecked': JSX.Element;
    close: JSX.Element;
    'aspect-ratio': JSX.Element;
    search: JSX.Element;
    chevron: JSX.Element;
    'chevron-accent': JSX.Element;
    'animated-spinner': JSX.Element;
    'drag-handle': JSX.Element;
    download: JSX.Element;
    keyboard: JSX.Element;
    brush: JSX.Element;
    image: JSX.Element;
    'image-list': JSX.Element;
    save: JSX.Element;
    'save-images': JSX.Element;
    'theme-change': JSX.Element;
    'single-page': JSX.Element;
    'continuous-view': JSX.Element;
    'view-mode': JSX.Element;
    'show-view-tools': JSX.Element;
    'show-edit-tools': JSX.Element;
    'show-form-editor': JSX.Element;
    'toggle-annotation-properties': JSX.Element;
    'toggle-form-properties': JSX.Element;
    'edit-converted-to-content': JSX.Element;
    'edit-free-text': JSX.Element;
    'edit-ink': JSX.Element;
    'edit-text': JSX.Element;
    'edit-square': JSX.Element;
    'edit-line': JSX.Element;
    'edit-link': JSX.Element;
    'edit-circle': JSX.Element;
    'edit-stamp': JSX.Element;
    'add-stamp-accent': JSX.Element;
    'edit-sign-tool': JSX.Element;
    'edit-file-attachment': JSX.Element;
    'edit-sound': JSX.Element;
    'edit-polyline': JSX.Element;
    'edit-polygon': JSX.Element;
    'edit-highlight': JSX.Element;
    'edit-underline': JSX.Element;
    'edit-squiggly': JSX.Element;
    'edit-strike-out': JSX.Element;
    'edit-popup': JSX.Element;
    'edit-redact': JSX.Element;
    'edit-redact-apply': JSX.Element;
    'edit-redact-applied': JSX.Element;
    'edit-unknown-type': JSX.Element;
    'edit-widget-signature': JSX.Element;
    'edit-widget-tx-field': JSX.Element;
    'edit-widget-tx-text-area': JSX.Element;
    'edit-widget-tx-comb': JSX.Element;
    'edit-widget-tx-password': JSX.Element;
    'edit-widget-btn-checkbox': JSX.Element;
    'edit-widget-btn-radio': JSX.Element;
    'edit-widget-btn-push': JSX.Element;
    'edit-widget-btn-submit': JSX.Element;
    'edit-widget-btn-reset': JSX.Element;
    'edit-widget-ch-combo': JSX.Element;
    'edit-widget-ch-list-box': JSX.Element;
    'edit-widget-unknown-type': JSX.Element;
    'edit-undo': JSX.Element;
    'edit-redo': JSX.Element;
    'remove-attachment': JSX.Element;
    'edit-select': JSX.Element;
    'edit-erase': JSX.Element;
    'form-filler': JSX.Element;
    'field-invalid': JSX.Element;
    'new-document': JSX.Element;
    'new-page': JSX.Element;
    'delete-page': JSX.Element;
    print: JSX.Element;
    rotate: JSX.Element;
    'confirm-ok': JSX.Element;
    'confirm-cancel': JSX.Element;
    open: JSX.Element;
    'open-pdf': JSX.Element;
    'text-selection': JSX.Element;
    'hide-annotations': JSX.Element;
    pan: JSX.Element;
    bookmarks: JSX.Element;
    'structure-tree': JSX.Element;
    layers: JSX.Element;
    thumbnails: JSX.Element;
    articles: JSX.Element;
    attachments: JSX.Element;
    'documents-list': JSX.Element;
    share: JSX.Element;
    'shared-documents-list': JSX.Element;
    'view-mode-on': JSX.Element;
    'view-mode-off': JSX.Element;
    'edit-mode-on': JSX.Element;
    'edit-mode-off': JSX.Element;
    'remove-user': JSX.Element;
    'doc-properties': JSX.Element;
    about: JSX.Element;
    'pdf-doc-title': JSX.Element;
    'close-icon-sm': JSX.Element;
    'menu-dots': JSX.Element;
    'comments-status-accepted': JSX.Element;
    'comments-status-cancelled': JSX.Element;
    'comments-status-completed': JSX.Element;
    'comments-status-rejected': JSX.Element;
    'context-copy': JSX.Element;
    'context-paste': JSX.Element;
    'context-cut': JSX.Element;
    'context-delete': JSX.Element;
    'move-to-top-page': JSX.Element;
    'move-to-bottom-page': JSX.Element;
    'arrow-expand-horizontal': JSX.Element;
    'arrow-expand-all': JSX.Element;
    'magnify-minus-outline': JSX.Element;
    'magnify-plus-outline': JSX.Element;
    magnify: JSX.Element;
    'text-tools': JSX.Element;
    'draw-tools': JSX.Element;
    'attachment-tools': JSX.Element;
    'form-tools': JSX.Element;
    'page-tools': JSX.Element;
    'resize-handle-h': JSX.Element;
    'pdf-organizer': JSX.Element;
    'dots-three-horizontal': JSX.Element;
    'clone-range': JSX.Element;
    'merge-external-pdf': JSX.Element;
    'pages-range-add': JSX.Element;
    'pages-range': JSX.Element;
};
export declare function renderColoredNoteIcon(annotationType: AnnotationTypeCode, color?: string): JSX.Element;
export declare type SvgIconKey = 'undo2' | 'font-bold' | 'font-italic' | 'checkbox-checked' | 'checkbox-unchecked' | 'close' | 'aspect-ratio' | 'search' | 'chevron' | 'chevron-accent' | 'animated-spinner' | 'drag-handle' | 'download' | 'keyboard' | 'brush' | 'image' | 'image-list' | 'save' | 'theme-change' | 'single-page' | 'continuous-view' | 'view-mode' | 'show-view-tools' | 'show-edit-tools' | 'show-form-editor' | 'toggle-annotation-properties' | 'toggle-form-properties' | 'edit-converted-to-content' | 'edit-free-text' | 'edit-ink' | 'edit-text' | 'edit-square' | 'edit-line' | 'edit-link' | 'edit-circle' | 'edit-stamp' | 'add-stamp-accent' | 'edit-sign-tool' | 'edit-file-attachment' | 'edit-sound' | 'edit-polyline' | 'edit-polygon' | 'edit-popup' | 'edit-redact' | 'edit-redact-apply' | 'edit-redact-applied' | 'edit-unknown-type' | 'edit-widget-signature' | 'edit-widget-tx-field' | 'edit-widget-tx-text-area' | 'edit-widget-tx-comb' | 'edit-widget-tx-password' | 'edit-widget-btn-checkbox' | 'edit-widget-btn-radio' | 'edit-widget-btn-push' | 'edit-widget-btn-submit' | 'edit-widget-btn-reset' | 'edit-widget-ch-combo' | 'edit-widget-ch-list-box' | 'edit-widget-unknown-type' | 'edit-undo' | 'edit-redo' | 'remove-attachment' | 'edit-select' | 'edit-erase' | 'form-filler' | 'field-invalid' | 'new-document' | 'new-page' | 'delete-page' | 'print' | 'rotate' | 'confirm-ok' | 'confirm-cancel' | 'open' | 'open-pdf' | 'text-selection' | 'hide-annotations' | 'pan' | 'bookmarks' | 'structure-tree' | 'layers' | 'thumbnails' | 'articles' | 'attachments' | 'documents-list' | 'share' | 'shared-documents-list' | 'view-mode-on' | 'view-mode-off' | 'edit-mode-on' | 'edit-mode-off' | 'remove-user' | 'doc-properties' | 'about' | 'pdf-doc-title' | 'close-icon-sm' | 'menu-dots' | 'comments-status-accepted' | 'comments-status-cancelled' | 'comments-status-completed' | 'comments-status-rejected' | 'context-copy' | 'context-paste' | 'context-cut' | 'context-delete' | 'move-to-top-page' | 'move-to-bottom-page' | 'arrow-expand-horizontal' | 'arrow-expand-all' | 'magnify-minus-outline' | 'magnify-plus-outline' | 'magnify' | 'text-tools' | 'draw-tools' | 'attachment-tools' | 'form-tools' | 'page-tools' | 'resize-handle-h';
export declare function updateSvgIcon(iconKey: SvgIconKey, svgIcon: Element | string): void;
export declare function getSvgIcon(iconKey: SvgIconKey): Element;
export declare function applyAlternativeIcons(): void;
export declare function applyCustomIcons(customIcons?: any): void;
